/* 
 * CUAG AutoUmpire System
 * 
 * Copyright (C) 2003/2004 Matthew Johnson, Adam Biltcliffe,
 * Michael Cripps, Martin O'Leary, Edward Allcutt and James Osborn
 *
 * This program is free software; you can redistribute it and/or 
 * modify it under the terms of the GNU General Public License 
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version. 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details. 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * To Contact the authors, please email assassins@srcf.ucam.org
 *
 */

package org.ucam.srcf.assassins;

import java.io.IOException;
import java.text.ParseException;
import java.util.Map;
import java.util.Iterator;

import cx.ath.matthew.cgi.CGI;

import org.ucam.srcf.assassins.exceptions.AssassinSQLException;

public class CGIShowPlugins implements CGICommand
{
   void showPlugins(CGI cgi, Map plugins, Map params)
   {
      cgi.out("<p>");
      cgi.out("  I have instantiated the following plugins:");
      cgi.out("</p>");
      cgi.out("<ul>");
      Iterator i = plugins.keySet().iterator();
      while (i.hasNext()) {
         String pname = (String) i.next();
         cgi.out("   <li>"+pname+"</li>");
      }
      cgi.out("</ul>");
      return; 
   }

   public void command(CGI cgi, Map plugins, Map params, long nowtime) 
      throws AssassinSQLException, IOException, ParseException { showPlugins(cgi, plugins, params); } 
   public String getName() { return "Show Plugins"; }
   public String getDescription() { return "Lists all the plugins used by this game"; }
   public AuthLevel accessLevel () { return AuthLevel.UMPIRE; }
   public String getSection() { return "Misc"; }

}

