/* 
 * CUAG AutoUmpire System
 * 
 * Copyright (C) 2003/2004 Matthew Johnson, Adam Biltcliffe,
 * Michael Cripps, Martin O'Leary, Edward Allcutt and James Osborn
 *
 * This program is free software; you can redistribute it and/or 
 * modify it under the terms of the GNU General Public License 
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version. 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details. 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * To Contact the authors, please email assassins@srcf.ucam.org
 *
 */
package org.ucam.srcf.assassins;

import org.ucam.srcf.assassins.xml.Config;

/**
 * Just initialises the database
 */
public class DatabaseSetup
{
   public static void main(String[] args) throws Throwable
   {
      System.out.println("Initialising tables from config file: " +args[0]);
      Config.init(args[0]);
      DatabaseBackend.init();
      System.out.println("Database prefix to initialise: "+DatabaseBackend.getPrefix());
      System.out.print("Are You Sure [y/n]:");
      char c = (char) System.in.read();
      if ('y' == c || 'Y' == c) {
         System.out.print("Initialising...");
         DatabaseBackend.initTables();
         System.out.println("Done.");
      } else
         System.out.println("Aborting.");
   }
}

